PROGRAM isapexonta3
  IMPLICIT NONE

  INTEGER, PARAMETER :: N = 87
  INTEGER :: i
  DOUBLE PRECISION :: x, y
  
  OPEN(unit = 41, file="data.txt", action="read", status="old")
  OPEN(unit = 75, file="data2.txt", action="write", status="replace")

  DO i = 1,N
     READ (41,*) x
     
     y = EXP(-x) * SQRT(x)
     
     WRITE (75,*) x, y
  ENDDO

  CLOSE(75)
  CLOSE(41)  
  
END PROGRAM isapexonta3
